Package twisted :: Package scripts :: Module tapconvert :: Class ConvertOptions

[frames | no frames]

## Class ConvertOptions

    dict --+
           |
     Options --+
               |
              ConvertOptions

Method Summary
| ``postOptions`(self)` I am called after the options are parsed.
Inherited from Options
| ``__init__`(self)`
| ``__hash__`(self)`
| ``__str__`(self, width)`
| ``_gather_flags`(self)` Gather up boolean (flag) options.
| ``_gather_handlers`(self)` Gather up options with their own handler methods.
| ``_gather_parameters`(self)` Gather options which take a value.
| ``_generic_flag`(self, flagName, value)`
| ``_generic_parameter`(self, parameterName, value)`
| ``getSynopsis`(self)`
| ``getUsage`(self, width)`
| ``opt_help`(self)` Display this help and exit.
| ``opt_version`(self)`
| ``parseArgs`(self)` I am called with any leftover arguments which were not options.
| ``parseOptions`(self, options)` The guts of the command-line parser.
Inherited from dict
| `__cmp__(...)`
| `__contains__(...)`
| `__delitem__(...)`
| `__eq__(...)`
| `__ge__(...)`
| `__getattribute__(...)`
| `__getitem__(...)`
| `__gt__(...)`
| `__iter__(...)`
| `__le__(...)`
| `__len__(...)`
| `__lt__(...)`
| `__ne__(...)`
| `__repr__(...)`
| `__setitem__(...)`
| `clear(...)`
| `copy(...)`
| `get(...)`
| `has_key(...)`
| `items(...)`
| `iteritems(...)`
| `iterkeys(...)`
| `itervalues(...)`
| `keys(...)`
| `popitem(...)`
| `setdefault(...)`
| `update(...)`
| `values(...)`
Inherited from object
| `__delattr__(...)`
| `__reduce__(...)`
| `__setattr__(...)`
Inherited from type
| `__new__(...)`

Class Variable Summary
`list` | `optFlags` = `[['decrypt', 'd', 'The specified tap/aos/xml ...`
`list` | `optParameters` = `[['in', 'i', None, 'The filename of the ...`
`str` | `synopsis` = `'Usage: tapconvert [options]'`
Inherited from Options
`NoneType` | `defaultSubCommand` = None
`NoneType` | `parent` = None
`NoneType` | `subCommand` = None

Method Details

### postOptions(self)

I am called after the options are parsed.

Override this method in your subclass to do something after the options have been parsed and assigned, like validate that all options are sane.

  Overrides:
    `twisted.python.usage.Options.postOptions` (inherited documentation)

Class Variable Details

### optFlags

  Type:
    `list`
  Value:

        [['decrypt', 'd', 'The specified tap/aos/xml file is encrypted.'],
         ['encrypt', 'e', 'Encrypt file before writing']]

### optParameters

  Type:
    `list`
  Value:

        [['in', 'i', None, 'The filename of the tap to read from'],
         ['out', 'o', None, 'A filename to write the tap to'],
         ['typein',
          'f',
          'guess',
          "The  format to use; this can be 'guess', 'python', 'pickle', 'xml',\
         or 'source'."],
         ['typeout',
        ...

### synopsis

  Type:
    `str`
  Value:

        'Usage: tapconvert [options]'

Generated by Epydoc 2.0 on Sat May 15 20:08:49 2004 | http://epydoc.sf.net